Đến nội dung


Hình ảnh
- - - - -

Chèn điểm point vào tâm của đường tròn


  • Please log in to reply
1 reply to this topic

#1 chien_pecc1

chien_pecc1

    Chưa sử dụng CAD

  • Members
  • Pip
  • 1 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 21 August 2009 - 12:33 PM

Help me!!!!!!!

Mình có một số đường tròn đều có tọa độ x, y, z của tâm đường tròn đó. Bây giờ mình muốn chèn các điểm vào đúng tâm của đường tròn đó và nhận tọa độ của tâm làm tọa độ của point.
Hãy giúp mình viết lisp để thực hiện công đoạn này!
Xin cảm ơn!
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 21 August 2009 - 01:01 PM

Help me!!!!!!!

Mình có một số đường tròn đều có tọa độ x, y, z của tâm đường tròn đó. Bây giờ mình muốn chèn các điểm vào đúng tâm của đường tròn đó và nhận tọa độ của tâm làm tọa độ của point.
Hãy giúp mình viết lisp để thực hiện công đoạn này!
Xin cảm ơn!


Lệnh là CHENP
(defun c:chenp ( / ss ent)
(setq ss (ssget '((0 . "CIRCLE"))))
(while (setq ent (ssname ss 0))
(setq ss (ssdel ent ss))
(entmake (cons (cons 0 "POINT") (vl-remove-if '(lambda(x) (member (car x) '(0 100 5 40))) (entget ent))))
)
(princ)
)

  • 1